Pular para o conteúdo principal
GET
/
v2
/
transactions
List Transactions
curl --request GET \
  --url https://api.pagou.ai/v2/transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pagou.ai/v2/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pagou.ai/v2/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "requestId": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "buyer": {
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "payment": {
        "method": "pix",
        "currency": "BRL",
        "country": "<string>",
        "amount": 0,
        "base_price": 0,
        "external_ref": "<string>",
        "installments": 6,
        "fee": {
          "estimated_fee": 0,
          "net_amount": 0
        },
        "pix": {
          "qrcode": "<string>",
          "endToEnd": "<string>"
        }
      },
      "products": [
        {
          "title": "<string>",
          "quantity": 0,
          "unit_price": 0
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "attempts_count": 1,
      "paid_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "total": 123
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
Para reconciliação de vouchers, filtre por paymentMethods=voucher. Voucher cobre Boleto, SPEI/transferência bancária, Mercado Pago ou outros vouchers locais, Webpay, CODI, PSE e instruções similares suportadas pelo provedor de pagamento dentro do mesmo método público. Use status=pending para encontrar instruções abertas e status=paid para reconciliar pagamentos confirmados.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

cursor
string
limit
number
padrão:20
Intervalo obrigatório: 1 <= x <= 100
direction
enum<string>
padrão:next
Opções disponíveis:
next,
prev
id
string | null
paymentMethods
enum<string> | null
padrão:pix
Opções disponíveis:
pix,
voucher,
credit_card
currency
enum<string> | null
padrão:BRL
Opções disponíveis:
ARS,
BOB,
BRL,
CLP,
COP,
CRC,
GTQ,
MXN,
PYG,
PEN,
USD,
UYU
status
deliveryStatus
enum<string> | null
Opções disponíveis:
waiting,
in_transit,
delivered
installments
number | null
name
string | null
email
string | null
documentNumber
string | null
phone
string | null
products
string[] | null
Maximum array length: 100
Required string length: 1 - 255
traceable
boolean | null
dateFrom
string<date-time> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
dateTo
string<date-time> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

Resposta

Success

success
boolean
obrigatório
requestId
string
obrigatório
data
object[]
obrigatório
next_cursor
string | null
obrigatório
prev_cursor
string | null
obrigatório
total
number
obrigatório